0

I am working on TeXworks with MikTeX 2.9 and I need to install Biber.
I downloaded the last version (2.6), saved the .exe file in the document file folder, then I opend TeXworks -> Edit -> Preferences -> Typesettings, in 'Processing tools' I added the voice with Name 'Biber', I browsed with Program to find the biber .exe file and I added the argument '$basename'.
Nonetheless, when I compile the document in 'Biber', it crashed immediately (Console output: 'Process crashed'). What did I do wrong?

  • Welcome to TeX.SX! Please try using a cmd and do the biber run there. What's the output? – TeXnician Feb 24 '17 at 15:14
  • Thank you! It gaves me a System error: can't start the program because there is no cygwin1.dll file in the computer. Any ideas? In the meantime I try to reinstall the program – Eggman Feb 24 '17 at 15:19
  • 1
    The easiest way to get biber on a MikTeX machine is to use the version from its repositories (miktex-biber-bin). That works just fine (at least for me). – TeXnician Feb 24 '17 at 15:21
  • How do I do that? Also, am have 64 bit MikTeX, does it gives problems like said here? – Eggman Feb 24 '17 at 15:28
  • 2
    Just use the MiKTeX package manager (most likely the admin version of the tool) to install biber from the repository as TeXnician said. This prevents you from downloading the wrong binary as you have done. BTW: After installing biber you should update biblatex in "MiKTeX Updates (Admin)" and "MiKTeX Updates". – Schweinebacke Feb 24 '17 at 15:29
0

Okay your problem does not seem to be a problem of biber, but of your general setup. If you are using MikTeX, you should definitely do the following steps:

  1. Update your distribution (use the MikTeX Update tool as admin).

updater

  1. Open your package manager and install (the most recent) miktex-biber-bin (just click the "Install" field in the context menu or the plus button).

miktex-biber-bin

  1. Set up your editor to use that binary (it is in the $PATH by default, so just add biber.exe and $basename).

the last step

  • Did it, thank you very much! Now when I compile in Biber it gives me the error: 'Warning: Found biblatex control file version 3.0, expected version 2.9', but I will solve it on monday... Thanks again – Eggman Feb 24 '17 at 15:43
  • @Eggman Try to remove .aux-files etc. Probably that's just an ignorable warning. – TeXnician Feb 24 '17 at 15:44
  • @Eggman The version warning should not be ignored, it can lead to serious problems, that's why it has been 'upgraded' to a critical error in newer versions of Biber. The problem can occur after you have updated biblatex or Biber, but then it should go away after deleting the temporary files (.bcf, .bbl, .aux). If it does not go away, you need to check your versions of biblatex and Biber and update to compatible versions. If you have installed both via MikTeX's 'Package Manager', that is as easy as running the Update tool (in User and Admin mode). – moewe Feb 24 '17 at 16:50
  • Solved, thank you again. Just had to update all the packages, it has been some time since I've used LateX... – Eggman Feb 27 '17 at 8:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.